\version "2.13.39"

\include "c-shape.ly"
\include "a-shape.ly"
\include "g-shape.ly"
\include "e-shape.ly"
\include "d-shape.ly"

cShape = {
  \set predefinedDiagramTable = #c-shape-fretboard-table
}

aShape = {
  \set predefinedDiagramTable = #a-shape-fretboard-table
}

gShape = {
  \set predefinedDiagramTable = #g-shape-fretboard-table
}

eShape = {
  \set predefinedDiagramTable = #e-shape-fretboard-table
}

dShape = {
  \set predefinedDiagramTable = #d-shape-fretboard-table
}

chordSymbols = \chordmode {
  c1 | c1 | c1 | c1 | c1 |
}

chordShapes = \chordmode {
  \cShape
  c1 |
  \aShape
  c1 |
  \gShape
  c1 |
  \eShape
  c1 |
  \dShape
  c1 |
}

Chords = \chordmode {
  \textLengthOn
  c,1:1.3.5.8.10_\markup {"c-shape"} |
  c,1:1.5.8.10.12_\markup {"a-shape"} |
  c,1:1.3.5.8.10.15_\markup {"g-shape"} |
  c,1:1.5.8.10.12.15_\markup {"e-shape"} |
  c1:1.5.8.10_\markup {"d-shape"} |
}

\score {
    <<
      \new ChordNames {
   	    \chordSymbols
      }
      \new FretBoards {
        \chordShapes
      }
      \new Staff <<
        \clef "treble_8"
        %\Chords
        \chordShapes
      >>
      \new TabStaff  <<
        %\Chords
        \chordShapes
      >>
    >>
  }
